/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'B3-Icons\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-bag': '&#xe900;',
		'icon-beaker': '&#xe901;',
		'icon-bike': '&#xe902;',
		'icon-box': '&#xe903;',
		'icon-boxes': '&#xe904;',
		'icon-briefcase': '&#xe905;',
		'icon-browser-search': '&#xe906;',
		'icon-browser': '&#xe907;',
		'icon-calendar': '&#xe908;',
		'icon-camera': '&#xe909;',
		'icon-chart-desktop': '&#xe90a;',
		'icon-chart': '&#xe90b;',
		'icon-chat-bubbles': '&#xe90c;',
		'icon-check-circle': '&#xe90d;',
		'icon-check-square': '&#xe90e;',
		'icon-click': '&#xe90f;',
		'icon-clock': '&#xe910;',
		'icon-color-picker': '&#xe911;',
		'icon-connections': '&#xe912;',
		'icon-credit-card': '&#xe913;',
		'icon-cup': '&#xe914;',
		'icon-customizer': '&#xe915;',
		'icon-cv': '&#xe916;',
		'icon-desktop-chart': '&#xe917;',
		'icon-desktop-code': '&#xe918;',
		'icon-desktop-rocket': '&#xe919;',
		'icon-desktop-settings': '&#xe91a;',
		'icon-desktop-windows': '&#xe91b;',
		'icon-diamond': '&#xe91c;',
		'icon-divi': '&#xe91d;',
		'icon-documents': '&#xe91e;',
		'icon-download': '&#xe91f;',
		'icon-drop': '&#xe920;',
		'icon-envelope': '&#xe921;',
		'icon-expand': '&#xe922;',
		'icon-flag': '&#xe923;',
		'icon-folder': '&#xe924;',
		'icon-glass': '&#xe925;',
		'icon-heart': '&#xe926;',
		'icon-illustrator': '&#xe927;',
		'icon-image': '&#xe928;',
		'icon-key': '&#xe929;',
		'icon-layers': '&#xe92a;',
		'icon-lightbulb': '&#xe92b;',
		'icon-link': '&#xe92c;',
		'icon-lock': '&#xe92d;',
		'icon-map-marker': '&#xe92e;',
		'icon-map': '&#xe92f;',
		'icon-megaphone': '&#xe930;',
		'icon-mobiles': '&#xe931;',
		'icon-paperclip': '&#xe932;',
		'icon-paperplane': '&#xe933;',
		'icon-pencil': '&#xe934;',
		'icon-phone': '&#xe935;',
		'icon-photoshop': '&#xe936;',
		'icon-piechart': '&#xe937;',
		'icon-pricing': '&#xe938;',
		'icon-question': '&#xe939;',
		'icon-raport': '&#xe93a;',
		'icon-refresh': '&#xe93b;',
		'icon-responsive': '&#xe93c;',
		'icon-rocket': '&#xe93d;',
		'icon-search': '&#xe93e;',
		'icon-security': '&#xe93f;',
		'icon-selection': '&#xe940;',
		'icon-settings': '&#xe941;',
		'icon-shopping-cart': '&#xe942;',
		'icon-sidebar': '&#xe943;',
		'icon-slider': '&#xe944;',
		'icon-strategy': '&#xe945;',
		'icon-support': '&#xe946;',
		'icon-tabs': '&#xe947;',
		'icon-tags': '&#xe948;',
		'icon-target': '&#xe949;',
		'icon-thunderbolt': '&#xe94a;',
		'icon-upload': '&#xe94b;',
		'icon-user': '&#xe94c;',
		'icon-users': '&#xe94d;',
		'icon-vector': '&#xe94e;',
		'icon-video': '&#xe94f;',
		'icon-wallet': '&#xe950;',
		'icon-wordpress': '&#xe951;',
		'icon-globe': '&#xe952;',
		'icon-brain': '&#xe953;',
		'icon-lamp': '&#xe954;',
		'icon-cactus': '&#xe955;',
		'icon-typography': '&#xe956;',
		'icon-list': '&#xe957;',
		'icon-star': '&#xe958;',
		'icon-switches': '&#xe959;',
		'icon-discover': '&#xe95a;',
		'icon-focus': '&#xe95b;',
		'icon-disposable-cup': '&#xe95c;',
		'icon-magic': '&#xe95d;',
		'icon-research': '&#xe95e;',
		'icon-user-search': '&#xe95f;',
		'icon-meter': '&#xe960;',
		'icon-rating': '&#xe961;',
		'icon-conversation': '&#xe962;',
		'icon-truck': '&#xe963;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
